## ros-kinetic-eca-a9-gazebo 0.1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(eca_a9_gazebo)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        PATTERN "*~" EXCLUDE)

=== debian/changelog ===
ros-kinetic-eca-a9-gazebo (0.1.6-0xenial) xenial; urgency=high



 -- Thibault Pelletier <thp@eca.fr>  Thu, 18 Apr 2019 22:00:00 -0000

ros-kinetic-eca-a9-gazebo (0.1.5-0xenial) xenial; urgency=high

  * Fix dependencies for tests and update package.xml format
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Thibault Pelletier <thp@eca.fr>  Tue, 12 Mar 2019 23:00:00 -0000

ros-kinetic-eca-a9-gazebo (0.1.4-0xenial) xenial; urgency=high



 -- Thibault Pelletier <thp@eca.fr>  Wed, 13 Feb 2019 23:00:00 -0000

ros-kinetic-eca-a9-gazebo (0.1.3-0xenial) xenial; urgency=high

  * ADD Demo launch file for geometric tracking controller
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes, Musa Morena Marcusso Manhães

 -- Thibault Pelletier <thp@eca.fr>  Thu, 05 Jul 2018 22:00:00 -0000

ros-kinetic-eca-a9-gazebo (0.1.2-0xenial) xenial; urgency=high



 -- Thibault Pelletier <thp@eca.fr>  Wed, 04 Jul 2018 22:00:00 -0000

ros-kinetic-eca-a9-gazebo (0.1.1-0xenial) xenial; urgency=high

  * ADD CHANGELOG files
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Thibault Pelletier <thp@eca.fr>  Wed, 04 Jul 2018 22:00:00 -0000

ros-kinetic-eca-a9-gazebo (0.1.0-0xenial) xenial; urgency=high

  * ADD Sliding mode control files (still experimental)
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * ADD Demo launch files
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Thibault Pelletier <thp@eca.fr>  Sun, 22 Apr 2018 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-eca-a9-gazebo
Section: misc
Priority: extra
Maintainer: Thibault Pelletier <thp@eca.fr>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-eca-a9-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-eca-a9-control, ros-kinetic-eca-a9-description
Description: Package with launch files for demonstrations with the ECA A9 AUV

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-eca-a9-gazebo//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
